MessageBundle (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.i18n.MessageBundle class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.i18n
Class MessageBundle

    java.lang.Object
      org.hyperic.util.i18n.MessageBundle

    public class MessageBundle

extends java.lang.Object

Method Summary
`java.lang.String` | `format(java.lang.String propName)`
`java.lang.String` | `format(java.lang.String propName, java.lang.Object arg)`
`java.lang.String` | `format(java.lang.String propName, java.lang.Object[] args)`
`java.lang.String` | `format(java.lang.String propName, java.lang.Object arg, java.lang.Object arg2)`
`java.lang.String` | `format(java.lang.String propName, java.lang.Object arg, java.lang.Object arg2, java.lang.Object arg3)`
`java.lang.String` | `format(java.lang.String propName, java.lang.Object arg, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
`java.lang.String` | `format(java.lang.String propName, java.lang.Object arg, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5)`
`static MessageBundle` | `getBundle(java.lang.String baseName)`
`java.util.ResourceBundle` | `getResourceBundle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### format

    public java.lang.String format(java.lang.String propName)

### format

    public java.lang.String format(java.lang.String propName,
                                   java.lang.Object[] args)

### format

    public java.lang.String format(java.lang.String propName,
                                   java.lang.Object arg)

### format

    public java.lang.String format(java.lang.String propName,
                                   java.lang.Object arg,
                                   java.lang.Object arg2)

### format

    public java.lang.String format(java.lang.String propName,
                                   java.lang.Object arg,
                                   java.lang.Object arg2,
                                   java.lang.Object arg3)

### format

    public java.lang.String format(java.lang.String propName,
                                   java.lang.Object arg,
                                   java.lang.Object arg2,
                                   java.lang.Object arg3,
                                   java.lang.Object arg4)

### format

    public java.lang.String format(java.lang.String propName,
                                   java.lang.Object arg,
                                   java.lang.Object arg2,
                                   java.lang.Object arg3,
                                   java.lang.Object arg4,
                                   java.lang.Object arg5)

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

### getBundle

    public static MessageBundle getBundle(java.lang.String baseName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.